#!/bin/bash
#基于1G内存的服务器运行;内存大的话，可以加大php-fpm.conf和my.cnf的进程和内存分配
#基于64位最小化版Centos 7安装
#必须先配置好网络
#拷贝当前目录的所有文件到服务器上
#直接在当前目录运行
#由于中文会产生乱码，最好是使用winscp拷贝文件到服务器
#MySQL5.6本地用户hzg，密码为t.01network.cn
##########################################
#MySQL8.0添加用户，mysql会先给一个带临时密码的root用户，这个暂时没办法通过脚本更改
#先修改my.cnf，将skip-grant-tables的注释去掉，跳过权限表
#进入mysql控制台:  /usr/local/mysql/bin/mysql
#先刷新权限，才能修改:  FLUSH PRIVILEGES;
#修改root权限:  alter user 'root'@'localhost' identified by '123456';
#使用新用户进去：  /usr/local/mysql/bin/mysql -uroot -p'123456' -hlocalhost
#增加用户:  CREATE USER '用户名'@'192.168.%.%' IDENTIFIED WITH mysql_native_password BY '密码';
#授权:  GRANT ALL PRIVILEGES ON *.* TO '用户名'@'localhost';
#刷新权限:  FLUSH PRIVILEGES;
#修改my.cnf，将skip-grant-tables注释，生效授权表

#获取当前路径
LNMP_dir=$(pwd)

#读取config变量
eval `cat ./config.ini`

#给各个脚本赋执行权限
chmod +x $LNMP_dir/*/*.sh

#输出提示框
echo "###########################################"
echo "0、安装基础组件，自动更新时间"
echo "2、仅安装Nginx"
echo "###########################################"
echo " "
echo "请输入要选择项目的数字(0,1,2,3,4,5,6,7,8,9):"
read num
echo "您所选的项目是$num"

#FTP命令，需要手动输入密码
#/usr/local/pureftpd/bin/pure-pw useradd ftpuser -u webuser -d /data/www/
#/usr/local/pureftpd/bin/pure-pw mkdb

#条件分支
case $num in
	0)
	cd $LNMP_dir/0yum163
	./yum163.sh
	echo "更新YUM源为163.com完成"
	;;

	2)
	cd $LNMP_dir/1nginxsh
	./nginxsetup.sh
	echo "Nginx安装完成"
	;;

	*)
	echo "选择错误，请重选"
	./LNMP.sh
	;;
esac





